DeltaSession10 (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina, class: DeltaSession10

Package org.apache.geode.modules.session.catalina

# Class DeltaSession10

java.lang.Object
org.apache.catalina.session.StandardSession
org.apache.geode.modules.session.catalina.DeltaSession
org.apache.geode.modules.session.catalina.DeltaSession10

All Implemented Interfaces:
  `jakarta.servlet.http.HttpSession`, `Serializable`, `org.apache.catalina.Session`, `DataSerializable`, `Delta`, `org.apache.geode.internal.size.Sizeable`, `GatewayDelta`, `DeltaSessionInterface`

public class DeltaSession10 extends DeltaSession

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

  `DataSerializable.Replaceable`

- ## Field Summary

  ### Fields inherited from class org.apache.catalina.session.StandardSession

  `accessCount, activityCheck, attributes, authType, creationTime, EMPTY_ARRAY, expiring, facade, id, isNew, isValid, lastAccessAtStart, lastAccessedTime, listeners, manager, maxInactiveInterval, notes, principal, sm, support, thisAccessedTime`

  ### Fields inherited from interface org.apache.geode.modules.gatewaydelta.GatewayDelta

  `GATEWAY_DELTA_REGION_NAME`

  ### Fields inherited from interface org.apache.catalina.Session

  `SESSION_ACTIVATED_EVENT, SESSION_CREATED_EVENT, SESSION_DESTROYED_EVENT, SESSION_PASSIVATED_EVENT`

  ### Fields inherited from interface org.apache.geode.internal.size.Sizeable

  `PER_OBJECT_OVERHEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeltaSession10()`
  Construct a new `Session` associated with no `Manager`.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.modules.session.catalina.DeltaSession

  `abort, applyAttributeEvents, commit, deserializeAttributeInternal, expire, fromData, fromDelta, getAttribute, getAttributeInternal, getAttributes, getContextName, getCurrentGatewayDeltaEvent, getExpired, getPrincipal, getSession, getSizeInBytes, hasDelta, invalidate, localDestroyAttribute, localUpdateAttribute, processExpired, removeAttribute, removeAttributeInternal, setAttribute, setAttributeInternal, setCurrentGatewayDeltaEvent, setMaxInactiveInterval, setOwner, setPrincipal, toData, toDelta, toString`

  ### Methods inherited from class org.apache.catalina.session.StandardSession

  `access, activate, addSessionListener, doReadObject, doWriteObject, endAccess, exclude, expire, fireSessionEvent, getAttributeNames, getAuthType, getCreationTime, getCreationTimeInternal, getId, getIdInternal, getIdleTime, getIdleTimeInternal, getLastAccessedTime, getLastAccessedTimeInternal, getManager, getMaxInactiveInterval, getNote, getNoteNames, getServletContext, getThisAccessedTime, getThisAccessedTimeInternal, isAttributeDistributable, isNew, isValid, isValidInternal, keys, passivate, readObjectData, recycle, removeAttribute, removeNote, removeSessionListener, setAttribute, setAuthType, setCreationTime, setId, setId, setManager, setNew, setNote, setValid, tellChangedSessionId, tellNew, writeObjectData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.geode.Delta

  `getForceRecalculateSize`

  ### Methods inherited from interface org.apache.geode.modules.session.catalina.DeltaSessionInterface

  `activate, isValid`

  ### Methods inherited from interface org.apache.catalina.Session

  `access, addSessionListener, endAccess, expire, getAuthType, getCreationTime, getCreationTimeInternal, getId, getIdInternal, getIdleTime, getIdleTimeInternal, getLastAccessedTime, getLastAccessedTimeInternal, getManager, getMaxInactiveInterval, getNote, getNoteNames, getThisAccessedTime, getThisAccessedTimeInternal, isAttributeDistributable, recycle, removeNote, removeSessionListener, setAuthType, setCreationTime, setId, setId, setManager, setNew, setNote, setValid, tellChangedSessionId`

- ## Constructor Details

  - ### DeltaSession10

    public DeltaSession10()
    Construct a new `Session` associated with no `Manager`. The `Manager` will be assigned later using `DeltaSession.setOwner(Object)`.